# -*- mode: rpm-spec; coding: utf-8 -*-
%define version 0.4
%define release alt1.a3
%define source_version 0.4a3
%define modname pyXLWriter

%setup_python_module pyXLWriter

Summary: Python module for generating Excel 5+ compatible Spreadsheets
Summary(ru_RU.UTF-8): Модуль Python для создания электронных таблиц, совместимых с Excel 5+
Name: %packagename
Version: %version
Release: %release
Source: %modname-%source_version.tar.bz2
Patch: pyXLWriter-0.4a3-alt-num_format.patch
License: LGPL
Group: Development/Python
Prefix: %_prefix
URL: http://pyxlwriter.sourceforge.net/

%description
pyXLWriter is a Python library for generating Microsoft(R) Excel(TM)
compatible spreadsheets. It's a port of John McNamara's Perl
Spreadsheet::WriteExcel module. It allows writing of Excel spreadsheets
without the need for COM objects.

pyXLWriter is pretty stable and allows to generate files compatible
with Excel 5 and later. However this format isn't unicode friendly
thus spreadsheets with non-Latin1 (e.g. Russian) data in them can
not be directly used in applications like OpenOffice.org Calc or
Gnumeric. Generated files aren't compatible with MS Access either.
If you need these features you should consider using pyXLWriter2
instead of pyXLWriter

This module version corresponds to Spreadsheet::WriteExcel-1.01

This module is built for Python %__python_version

%description -l ru_RU.UTF-8
pyXLWriter - это библиотека Python для создания электронных таблиц,
совместимых с Microsoft(R) Excel(TM). Он является портом модуля Perl
Spreadsheet::WriteExcel, созданного Джоном МакНамарой (John McNamara).
С его помощью можно создавать таблицы Excel без помощи COM-объектов

pyXLWriter достаточно стабилен и позволяет создавать файлы, совместимые
с Excel 5 и более поздними версиями. Однако такой формат не поддерживает
Unicode, поэтому таблицы с данными на языках, отличных от
западноевропейских (н-р, русском), невозможно открыть в приложениях
типа OpenOffice.org Calc или Gnumeric без дополнительной конвертации.
Кроме этого, получающиеся файлы не могут быть использованы в MS Access.
Если Вам требуются подобные возможности, следует воспользоваться
модулем pyXLWriter2

Данная версия модуля соответствует версии 1.01 Spreadsheet::WriteExcel

Этот модуль собран для Python-%__python_version

%prep
%setup -n %modname-%source_version
%patch -p1

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%doc CHANGES.txt README.txt TODO.txt examples/


%changelog
* Fri Aug 27 2004 Alexey Morozov <morozov@altlinux.org> 0.4-alt1.a3
- added num_format fix patch (from CVS Head)

* Thu Aug 26 2004 Alexey Morozov <morozov@altlinux.org> 0.4-alt0.a3
- Initial build for ALT Linux

